Package twisted :: Package internet :: Module ssl :: Class Client

[frames | no frames]

## Class Client

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                BaseClient --+
                             |
                        Client --+
                                 |
                                Client

I am an SSL client.

Method Summary
| `__init__(self, host, port, bindAddress, ctxFactory, connector, reactor)`
| `_connectDone(self)`
| ``getHost`(self)` Returns the address from which I am connecting.
| ``getPeer`(self)` Returns the address that I am connected.
Inherited from Client
| ``__repr__`(self)`
Inherited from BaseClient
| ``_finishInit`(self, whenDone, skt, error, reactor)` Called by base classes to continue to next stage of initialization.
| ``_setRealAddress`(self, address)`
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost().
| ``createInternetSocket`(self)` (internal) Create a non-blocking socket using self.addressFamily, self.socketType.
| ``doConnect`(self)` I connect the socket.
| ``failIfNotConnected`(self, err)`
| ``resolveAddress`(self)`
| ``startTLS`(self, ctx, client)`
| ``stopConnecting`(self)` Stop attempt to connect.
Inherited from Connection
| ``_closeSocket`(self)` Called to close our socket.
| ``_startTLS`(self)`
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data.
| ``getHandle`(self)` Return the socket for this connection.
| ``getTcpKeepAlive`(self)`
| ``getTcpNoDelay`(self)`
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread.
| ``setTcpKeepAlive`(self, enabled)`
| ``setTcpNoDelay`(self, enabled)`
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative)
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`tuple` | `__implements__` = `(((<class twisted.internet.interfaces.I...`
`class` | `i` = `twisted.internet.interfaces.ITLSTransport`
Inherited from BaseClient
`int` | `addressFamily` = 2
`int` | `socketType` = 1
Inherited from Connection
`str` | `logstr` = `'Uninitialized'`
`int` | `TLS` = 0
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Method Details

### getHost(self)

Returns the address from which I am connecting.

  Overrides:
    `twisted.internet.tcp.Client.getHost`

### getPeer(self)

Returns the address that I am connected.

  Overrides:
    `twisted.internet.tcp.Client.getPeer`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (((<class twisted.internet.interfaces.IProducer at 0x827b064>,
           <class twisted.internet.interfaces.IReadWriteDescriptor at 0x827d20\
        c>,
           <class twisted.internet.interfaces.IConsumer at 0x824feb4>,
           <class twisted.internet.interfaces.ITransport at 0x8254024>),
          <class twisted.internet.interfaces.ITCPTransport at 0x8241624>,
          <class twisted.internet.interfaces.ISystemHandle at 0x827cf14>),
         <class twisted.internet.interfaces.ISSLTransport at 0x824f784>)

Generated by Epydoc 2.0 on Sat May 15 20:08:51 2004 | http://epydoc.sf.net